import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class BlackMist here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class BlackMist extends PreMenu
{
    private float speed;
    private float transparency;
    private boolean inverted;
    private boolean playSound;
    /**
     * Act - do whatever the BlackMist wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public BlackMist(float speed, boolean playSound, boolean inverted){
        GreenfootImage img = new GreenfootImage(800,600);
        this.speed = speed;
        this.inverted = inverted;
        this.playSound = playSound;
        img.fill();
        setImage(img);
        transparency = inverted ? 0f : 255f;
        if (playSound){
            LoadingScreen.cricket.setVolume(0);
            LoadingScreen.cricket.playLoop();
        }
    }
    
    public void act() 
    {
        if (transparency < 0 || transparency > 255)
            getWorld().removeObject(this);
        getImage().setTransparency((int)transparency);
        
        if (inverted)
            transparency+=speed;
        else
            transparency-=speed;
        
        if (playSound && transparency > 100)
            LoadingScreen.cricket.setVolume(120-(int)(transparency/2.55f));
    }    
}
