import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public abstract class ExactLocated extends Game {
    
    protected float exactX = -1, exactY = -1;
    
    @Override
    public void setLocation(int x, int y) {
        super.setLocation(x, y);
        
        if (this.exactX == -1)
            this.exactX = x;
        if (this.exactY == -1)
            this.exactY = y;
    }
    
    public void setExactFromOfficial() {
        setLocationExact(getX(), getY());
    }
    
    public void setLocationExact(float x, float y) {
        this.exactX = x;
        this.exactY = y;
        
        setLocation((int) x, (int) y);
    }
}
