import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class LoadingScreen extends World
{
    public static final GreenfootSound cricket = new GreenfootSound("cricket_chirp.wav");
    public static int frameCounter = 0;
    
    public LoadingScreen()
    { 
        super(800, 600, 1);
        
        //The loading screen. While the animation is playing the resources are loaded in an other thread
        
        frameCounter = 0;
        setPaintOrder(new Class[]{PMExplosion.class});

        BackgroundBeginning bgb = new BackgroundBeginning();
        addObject(bgb, 400, 300);

        Clouds clouds = new Clouds(232);
        addObject(clouds,232,300);

        addObject(new BlackMist(0.6f, true, false), 400,300);
        
        new Thread(new Resources()).start();
        new Resources().run();
        Greenfoot.setSpeed(50);
    }

    public void act(){
        
        //For animation purpose
        
        frameCounter++;
        System.out.println(frameCounter);

        if (frameCounter == 400){
            addObject(new PMExplosion(), 400, 350);
            Greenfoot.playSound("PMexplosion.wav");
            cricket.stop();
        }

        if (frameCounter == 450){
            PMExplosion exp = new PMExplosion(450);
            addObject(exp, 621, 425);
            exp.setRotation(315);

            Greenfoot.playSound("PMexplosion.wav");
        }

        if (frameCounter == 465){
            PMExplosion exp = new PMExplosion(465);
            addObject(exp, 86, 352);

            Greenfoot.playSound("PMexplosion.wav");
        }

        if (frameCounter == 490){
            PMExplosion exp1 = new PMExplosion(490);
            PMExplosion exp2 = new PMExplosion(490);

            addObject(exp1, 146, 276);
            addObject(exp2, 678, 350);

            exp1.setRotation(70);

            Greenfoot.playSound("PMexplosion.wav");
        }

        if (frameCounter == 540){
            PMExplosion exp = new PMExplosion(540, true);
            addObject(exp, 400, 150);

            Greenfoot.playSound("PMexplosion.wav");
        }

        if (frameCounter == 597){
            addObject(new BackgroundMenu(), 400, 300);
            addObject(new Title(),              400, 130);
            addObject(new BlinkingBomb(),       586, 170);
            Resources.background_music.setVolume(30);
            Resources.background_music.playLoop();
            
        }
        
        if (frameCounter == 650){
            Greenfoot.setWorld(new Menu());
        }
    }
}
