import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
import java.util.ArrayList;

/**
 * Write a description of class Local here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Local extends Multiplayer
{
    private MapTemplate mapTemplate;
    private int playercount;
    private PlayerChooser[] ps;
    private MenuButton play = new MenuButton(4);
    private final SimpleButton menu = new SimpleButton("Menu");

    public Local(MapTemplate mapTemplate, int playercount)
    {
        super(800, 600, 1);
        this.mapTemplate = mapTemplate;
        this.playercount = playercount;

        ps = new PlayerChooser[playercount];

        for (int i = 0; i < playercount; i++)
            ps[i] = new PlayerChooser(false, i);

        switch (playercount){
            case 1:
            addObject(ps[0], getWidth()/2, getHeight()/2+100);
            break;

            case 2:
            addObject(ps[0], getWidth()/2-190, getHeight()/2+100);
            addObject(ps[1], getWidth()/2+190, getHeight()/2+100);
            break;

            case 3:
            addObject(ps[0], getWidth()/2-220, getHeight()/2+25);
            addObject(ps[1], getWidth()/2, getHeight()/2+25);
            addObject(ps[2], getWidth()/2+220, getHeight()/2+25);
            break;

            case 4:
            addObject(ps[0], getWidth()/2-300+15, getHeight()/2-100);
            addObject(ps[1], getWidth()/2+300-15, getHeight()/2-100);
            addObject(ps[2], getWidth()/2-100-15, getHeight()/2+125);
            addObject(ps[3], getWidth()/2+100+15, getHeight()/2+125);
            break;
        }

        addObject(menu, 37, 13);
        addObject(play, getWidth()/2, 50);
    }

    public void act(){
        if (Greenfoot.mousePressed(menu))
            Greenfoot.setWorld(new Menu());
        if (Greenfoot.mousePressed(play)){
            boolean isLegit = true;
            for (PlayerChooser c : ps)
                if (!c.hasBeenSet())
                    isLegit = false;
                

            if (isLegit){
                List<Player> players = new ArrayList<Player>();
                for (PlayerChooser c : ps)
                    players.add(new LocalPlayer(Resources.characters.get(c.chosenCharacter), c.controls[0], c.controls[1], c.controls[2], c.controls[3], c.controls[4], null,Resources.NAMES[c.chosenCharacter]));
                Greenfoot.setWorld(new OfflineMap(mapTemplate, players));
            }else{
                //not everyone has set the keys
            }
        }

    }
}
