import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.HashMap;
import java.util.ArrayList;
import java.util.List;

/**
 * Write a description of class Map here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public abstract class Map extends World
{
    public static HashMap<String, MapTemplate> maps = new HashMap<String, MapTemplate>(); // maps are .put in the Resources-Thread in the beginning
    protected boolean hitboxesVisible = false;
    protected int offset;

    public Map(int worldWidth, int worldHeight, int cellSize){
        super(worldWidth, worldHeight, cellSize);
        
        this.init();
    }

    public Map(int worldWidth, int worldHeight, int cellSize, boolean bounded){
        super(worldWidth, worldHeight, cellSize, bounded);

        this.init();
    }

    private void init() {
        Resources.background_music.stop();
        setPaintOrder(new Class[] {Menupanel.class, Hitbox.class, Countdown.class, PlayerStats.class,
                GUIBackground.class, Explosion.SubExplosion.class, Bomb.class, Player.class, OnlinePlayer.class, Grave.class, Block.class, DestroyableBlock.class });
        setActOrder(new Class[] { Map.class, Player.class, Bomb.class, Explosion.class});
        Sounds.get("csgo_main_8bit").play();
    }

    public boolean areHitboxesVisible() {
        return this.hitboxesVisible;
    }

    public int getOffset() {
        return offset;
    }
}
