import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.File;
import java.awt.Desktop;
import java.io.IOException;

/**
 * Write a description of class Menu here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Menu extends Menus
{

    private int actCounter = 0;
    private MenuButton single = new MenuButton(0);
    private MenuButton multi = new MenuButton(1);
    private MenuButton settings = new MenuButton(2);
    private MenuButton info = new MenuButton(3);
    private MenuButton editor = new MenuButton(6);
    
    public Menu()
    {    
        super(800, 600, 1); 

        setPaintOrder(new Class[]{MenuButton.class});
        
        //     if (!Resources.background_music.isPlaying()){ // Methode funktioniert nicht wie sie sollte....
     //       Resources.background_music.setVolume(30);
       //     Resources.background_music.playLoop();
        //}
        
        addObject(new Title(),          400, 130);
        addObject(new BlinkingBomb(),   586, 170);
        addObject(new MenuCharacter(1,false, -1),  220, 184);
    }
    
    public void act(){
        actCounter++;
        
        if (actCounter == 1)
            addObject(single, 400, 280);
        if (actCounter == 11)
            addObject(multi, 400, 348);
        if (actCounter == 21)
            addObject(settings, 400, 416);
        if (actCounter == 31)
            addObject(editor, 400, 484);
        if (actCounter == 41)
            addObject(info, 400, 552);
            
        if (Greenfoot.mouseClicked(single)){
            Greenfoot.playSound("select.wav");
            Greenfoot.setWorld(new Singleplayer());
        }
        if (Greenfoot.mouseClicked(multi)){
            Greenfoot.playSound("select.wav");
            Greenfoot.setWorld(new Multiplayer());
        }
        if (Greenfoot.mouseClicked(settings)){
            Greenfoot.playSound("select.wav");
            Greenfoot.setWorld(new Menu());
        }
        if (Greenfoot.mouseClicked(editor)){
            Greenfoot.playSound("select.wav");
            Greenfoot.setWorld(new StyleChoosing());
        }
        if (Greenfoot.mouseClicked(info)){
            Greenfoot.playSound("select.wav");
            if (Desktop.isDesktopSupported()) {
                try {
                    File myFile = new File("doc/info.txt");
                    Desktop.getDesktop().open(myFile);
                } catch (IOException ex) {}
            }
        }

    }
}
