import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
//import java.awt.Color;

/**
 * Write a description of class SimpleButton here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SimpleButton extends MenuActors
{
    public SimpleButton(String text, int textsize, int width, int height, int border, int fontPositionY, int fontPositionX){
        makeButton(text, textsize, width, height, border, fontPositionY, fontPositionX);
    }
    
    public SimpleButton(String text){
        if ("Menu".equals(text))
            makeButton("Menu", 20, 74, 27, 2, 21, 11);
    }
    
    private void makeButton(String text, int textsize, int width, int height, int border, int fontPositionY, int fontPositionX){
        GreenfootImage img = new GreenfootImage(width, height);
        img.setColor(Color.BLACK);
        img.fill();
        img.setColor(Color.WHITE);
        img.fillRect(border, border, width-2*border, height-2*border);
        img.setColor(Color.BLACK);
        img.setFont(new greenfoot.Font(Font.MONOSPACED, true, false, textsize));
        img.drawString(text, border+fontPositionX, fontPositionY);
        setImage(img);
    }
}
