import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.Set;

/**
 * Write a description of class Singleplayer here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Singleplayer extends Menus
{

    private MenuCharacter character = new MenuCharacter(2, true, 0);
    private SpeechBubble bubble = new SpeechBubble(Resources.NAMES[0]);
    private Menupanel panel;
    private int chosenCharacter;
    private String[] mapnames = Map.maps.keySet().toArray(new String[0]); 
    private String[] displayed;
    private boolean dragged = false;
    private int chosenMapIndex = -1; //-1 == not chosen
    private final SimpleButton menu = new SimpleButton("Menu");
    
    public Singleplayer()
    {
        super(800, 600, 1);
        
        setPaintOrder(new Class[]{MenuCharacter.class});
        
        displayed = new String[mapnames.length+5];
        displayed[0] = "Choose a character by clicking";
        displayed[1] = "on him and select a map:";
        displayed[2] = "";
        for (int i = 0; i < mapnames.length; i++)
            displayed[i+3] = mapnames[i];
        displayed[mapnames.length+3] = "";
        displayed[mapnames.length+4] = "";
        
        panel = new Menupanel(displayed, 7, true,50);
        
        addObject(character, getWidth()/2, 120);
        addObject(bubble, getWidth()/2 + 190, 54);
        addObject(panel, getWidth()/2, 170+50+25*displayed.length/2);
        
        addObject(menu, 37, 13);
    }
    
    public void act(){
        if (Greenfoot.mouseClicked(menu)){
            Greenfoot.setWorld(new Menu());
        }

        
        if (Greenfoot.mouseClicked(character)){
            if (++chosenCharacter > Resources.NAMES.length-1)
                chosenCharacter -= Resources.NAMES.length;
            character.setCharacter(chosenCharacter);
            bubble.setText(Resources.NAMES[chosenCharacter]);
        }
        
        boolean isOverSomething = false;
        for (int i = 0; i < mapnames.length; i++)
            if(panel.hoverOverLine(i+3)){
                panel.selectLine(i+3);
                isOverSomething = true;
                if (Greenfoot.mouseClicked(null)){
                    chosenMapIndex = i;
                    displayed[mapnames.length+4] = "Play \""+ mapnames[i] +"\"!";
                    panel.writeText(displayed);
                }
            }
            
        if (chosenMapIndex != -1 && panel.hoverOverLine(mapnames.length + 4)){
            panel.selectLine(mapnames.length + 4);
            isOverSomething = true;
            if (Greenfoot.mouseClicked(null))
            {Greenfoot.setWorld(new OfflineMap(Map.maps.get(mapnames[chosenMapIndex]), chosenCharacter));}
        }
        if (!isOverSomething)
            panel.selectLine(-1);
    }
}
