import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class StyleChoosing here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class StyleChoosing extends Editor
{   
    private static final String[] MESSAGE = new String[]{"Please choose a style-", "template for your level","by clicking on it:","","Forest","Original Bomberman","Circle of death","Squares of death","Labyrinth","1v1 me","Close Quarter Combat"};

    private Menupanel panel;
    private final SimpleButton menu;
    
    public StyleChoosing()
    {
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(950, 736, 1);
        new Resources().run();
        
        GreenfootImage bg = new GreenfootImage(Resources.background_menu);
        bg.scale(getWidth(), getHeight());
        setBackground(bg);
        
        panel = new Menupanel(MESSAGE, 12, false,50);
        addObject(panel, getWidth()/2, getHeight()/2);
        menu = new SimpleButton("Menu");
        addObject(menu, 37, 13);
        
    }
    
    public void act(){
        if (Greenfoot.mouseClicked(menu)){
            Greenfoot.setWorld(new Menu());
        }
        
        boolean isOverSomething = false;
        for (int i = 0; i < MESSAGE.length-4; i++)
            if(panel.hoverOverLine(i+4)){
                panel.selectLine(i+4);
                isOverSomething = true;
                if (Greenfoot.mouseClicked(null)){
                    Greenfoot.setWorld(new LevelMaker(panel.getLine(i+4)));
                }
            }
    }
}
