import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;
/**
 * Write a description of class Textfield here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Textfield extends MenuActors
{
    private static final char[] POSSIBLE_CHARS = {'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.'};
    
    private final int maxChars;
    private String text = "";
    public boolean active = false;
    private int actCounter;
    private int textsize;
    
    public Textfield(int maxChars){
        this.maxChars = maxChars;
        this.textsize = 35;
        setImage(Resources.buttons[5]);
    }
    
    public Textfield(int maxChars, int textsize, boolean active, String text){
        this.maxChars = maxChars;
        this.textsize = textsize;
        this.active = active;
        this.text = text;
        setImage(constructImage());
    }
    
    public Textfield(){
        this.maxChars = 10;
        this.textsize = 35;
        setImage(Resources.buttons[5]);
    }
    
    public void act() 
    {
        if (Greenfoot.mouseClicked(this)){
            active = !active;
            if (active){
                setImage(constructImage());
                Greenfoot.getKey();
            }else
                setImage(constructImage());
        }
        if (active){
            if (++actCounter %  6 == 0)
            {   String key = Greenfoot.getKey();
                if (key != null){
                    if (text.length() < maxChars){
                        key = key.toLowerCase();
                        for (char c : POSSIBLE_CHARS)
                            if ((c + "").equals(key))
                                if (Greenfoot.isKeyDown("shift"))
                                    text += key.toUpperCase();
                                else
                                    text += key;
                        if (Greenfoot.isKeyDown("space"))
                            text += " ";
                    }
                    if (Greenfoot.isKeyDown("backspace"))
                        text = text.length() > 0 ? text.substring(0, text.length()-1) : text;
                    setImage(constructImage());
                }
            }
        }
    }
    
    private GreenfootImage constructImage(){
        GreenfootImage image = new GreenfootImage(active ? Resources.buttons_selected[5] : Resources.buttons[5]);
        image.setFont(new greenfoot.Font(Font.MONOSPACED, true, false, textsize));
        image.drawString(text, (int)(image.getWidth()/2-(float)textsize*0.2985*text.length()+(float)textsize*0.1428571429), 45);
        
        return image;
    }
    
    public String getText(){
        return text;
    }
}
