import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class BlinkingBomb extends MenuActors {
    
    private GreenfootImage[] frames = new GreenfootImage[2];
    private int ticksAlive;
    
    {
        GreenfootImage[] bombFrames = Bomb.getFreshFrames();
        for (int i = 0; i < 2; i++) {
            GreenfootImage frame = bombFrames[i + 1];
            frame.scale((int) (frame.getWidth() * 3.25), (int) (frame.getHeight() * 3.25));
            frames[i] = frame;
        }
        
        setImage(frames[1]);
    }
    
    public void act() {
        if (ticksAlive++ % 17 != 0) return;
        setImage(frames[ticksAlive % 2]);
    }
}
