import java.awt.image.*;
import greenfoot.*;
import java.awt.Color;

public class ImageUtils {
    private ImageUtils() {}
    
    public static void replaceColor(GreenfootImage image, Color search, Color replace) {
        replaceColor(image, search.getRGB(), replace.getRGB());
    }

    public static void replaceColor(GreenfootImage image, int rgbSearch, int rgbReplace) {
        BufferedImage awt = image.getAwtImage();
        for (int x = 0; x < awt.getWidth(); x++) {
            for (int y = 0; y < awt.getHeight(); y++) {
                if (awt.getRGB(x, y) == rgbSearch) awt.setRGB(x, y, rgbReplace);
            }

        }
    }

}