import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class ItemDrop here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Item extends Game
{
    public static final float SPEED_UPGRADE_ADDITION = 0.5f;
    
    private final String itemName;
    
    public Item(String itemName){
        this.itemName = itemName;
        setImage(Resources.item_images.get(itemName));
    }
    
    public void getEffectFor(Player p){
        switch(itemName){
            case "additional_bomb_upgrade":
                p.setBombCount(p.getBombCount()+1);
                break;
                
            case "bomb_kick_upgrade":
                p.setBombKick(true);
                break;
                
            case "range_upgrade":
                p.setBombRange(p.getBombRange()+1);
                break;
                
            case "speed_upgrade":
                p.setSpeed(p.getSpeed()+SPEED_UPGRADE_ADDITION);
                break;
                
            default: System.out.println("There is no command for this item yet");
        }
        Sounds.get("powerup", 45).play();
        getWorld().removeObject(this);
    }
    
    public String getName() {
        return itemName;
    }
}
