import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class OnlinePlayer here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class OnlinePlayer extends Game
{
    private GreenfootImage[] images;
    private int imageIndex = 0;
    private boolean safeTime = false;
    
    public OnlinePlayer(int characterIndex){
        GreenfootImage[] images = Resources.characters.get(characterIndex);
        setImage(images[0]);
    }
    
    public void setImageWithIndex(int imageIndex, boolean safeTime){
        if (this.imageIndex != imageIndex){
            this.imageIndex = imageIndex;
            setImage(images[imageIndex]);
            if (safeTime){
                getImage().setTransparency(125);
            }else{
                getImage().setTransparency(255);
            }
            this.safeTime = safeTime;
        }
        if (safeTime != this.safeTime){
            this.safeTime = safeTime;
            if (safeTime){
                getImage().setTransparency(125);
            }else{
                getImage().setTransparency(255);
            }
        }
    }
    
    public void die(){
        getWorld().addObject(new Grave(),getX(), getY());
        getWorld().removeObject(this);
    }
}
