import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class PlayerChooser here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PlayerChooser extends MenuActors
{
    private Menupanel panel;
    private MenuCharacter character;
    //private SpeechBubble bubble = new SpeechBubble(Resources.NAMES[0]);
    private boolean firstAct = true;
    private int size;
    public int chosenCharacter;
    public String[] controls = new String[5];
    private String[] text = new String[]{"up", "down", "right", "left", "place bomb" };

    public PlayerChooser(boolean big){
        this(big, 0);
    }

    public PlayerChooser(boolean big, int startChar){
        setImage(new GreenfootImage(1, 1));
        this.chosenCharacter = startChar;

        this.size = big ? 2 : 1;
    }

    public void act() 
    {
        if (firstAct){
            firstAct = false;
            panel = new Menupanel(text, size == 2 ? 4 : 2,size == 2 ? false : true,25*size);
            character = new MenuCharacter(size, true, chosenCharacter);

            getWorld().addObject(panel, getX(), getY());
            getWorld().addObject(character, panel.getX(), panel.getY()-panel.getImage().getHeight()/2-30*size+20);
            //getWorld().addObject(bubble,character.getX()+150, character.getY()-size*50);
        }

        if (Greenfoot.mouseClicked(character)){
            if (++chosenCharacter > Resources.NAMES.length-1)
                chosenCharacter -= Resources.NAMES.length;
            character.setCharacter(chosenCharacter);
            // bubble.setText(Resources.NAMES[chosenCharacter]);
        }

        boolean hovering = false;
        for (int i = 0; i < 5; i++){
            if (panel.hoverOverLine(i)){
                panel.selectLine(i);
                hovering = true;
                String key = Greenfoot.getKey();
                if (key != null){
                    controls[i] = key;
                    text[i] = "'"+key+"'";
                    panel.writeText(text);
                }
            }
        }

        if (!hovering){
            panel.selectLine(-1);
        }
    }

    public boolean hasBeenSet(){
        for (String s : controls)
            if (s == null)
                return false;
        return true;
    }
}
