import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class SpeechBubble here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class SpeechBubble extends MenuActors
{
    /**
     * Act - do whatever the SpeechBubble wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public SpeechBubble(String text){
        setImage(getTextImage(text));
    }
    
    private GreenfootImage getTextImage(String text){
        GreenfootImage image = new GreenfootImage(Resources.speechBubble);
        image.setFont(new greenfoot.Font(java.awt.Font.MONOSPACED, true, false, 35));
        image.drawString(text, (int)(image.getWidth()/2-11*text.length()+20)+5, 48);
        return image;
    }
    
    public void setText(String text){
        setImage(getTextImage(text));
    }
}
